from django.db import models
import uuid
from . import BaseModel

class DateInterval(BaseModel):
    id = models.UUIDField(primary_key=True, default=uuid.uuid4, editable=True)
    event = models.ForeignKey('Event', on_delete=models.SET_NULL, related_name='date_intervals', null=True)
    court_index = models.IntegerField()
    start_date = models.DateTimeField()
    end_date = models.DateTimeField()

    def delete_dependencies(self):
        pass
